Updating the Acekard 2.i for DSi Firmware 1.4

Discussion in 'Acekard' started by tk_saturn, Jun 5, 2010.

Jun 5, 2010
  1. tk_saturn
    OP

    Member tk_saturn GBAtemp Psycho!

    Joined:
    Jan 26, 2010
    Messages:
    3,327
    Country:
    United Kingdom
    <acronym title='<a href="http://Don't%20quote%20this%20post" target="_blank">Don't quote this post</a>'></acronym>This has been split into it's own post as Costello has disabled the anchors.

    <b><!--sizeo:3--><span style="font-size:12pt;line-height:100%"><!--/sizeo-->Updating the Acekard 2i's firmware for DSi's with firmware 1.4/ 1.4.1.<!--sizec--></span><!--/sizec--></b>

    <blockquote><!--coloro:Red--><span style="color:Red"><!--/coloro--><p align=" " class="none">On the 8th of September 2010 Nintendo released firmware update 1.4.1 for the DSi/ DSi XL, this update blocks the Acekard 2i from working even if it was previously updated with the 'Danny Phantom' 1.4 fix. In order for the Acekard 2i to be used on a console with firmware 1.4.1, you need to apply the the 'Alex Rider - Stormbreaker' 1.4.1 fix. You can find out the firmware version of your DSi by going to the System Settings (Wrench Icon) and the Firmware version will be displayed in bottom right corner of the top screen. No retail purchased consoles have been reported as coming with firmware 1.4.1 preinstalled, but they are likely to start showing up within the next few weeks.

    Firmware 1.4.2 is only for China, and is their version of the 1.4.1 update. The 'Alex Rider - Stormbreaker' fix works for both firmware versions

    If your DSi has firmware 1.4, it's important you update your Acekard's firmware <u>before</u> you update your DSi's firmware. Before you update the DSi's firmware to 1.4.1, make sure the Acekard is displayed in the DSi's menu as Alex Rider - Stormrider <acronym title='Alex Rider - Stormbreaker'><img src="http://www.themolehole.eclipse.co.uk/ak2_guide/alex.png" border="0" class="linked-image" /></acronym>.<!--colorc--></span><!--/colorc--></p></blockquote>

    In order for the Acekard 2i to work on a DSi or DSi XL with <acronym title='Tells the Acekard what to do to when it powers on'>FirmWare</acronym> version 1.4/ 1.4.1, you need to update the Acekard's internal firmware. This can only be done using a <acronym title='This is the original DS, which came before the DS Lite'>DS Phat</acronym>/ DS Lite or a DSi with FirmWare version =< 1.3. All new DSi's or DSi XL's will come with FW1.4 preinstalled, so if you don't have access to a DS Phat/ DS Lite or a DSi with FirmWare =< 1.3 you *must* purchase your Acekard 2i from a retailer such as <acronym title='ShopTemp are affilated with and recommended by GBAtemp. Charge an additional $1 for their flashing service, meaning they will update the Acekard so it's compatible with FW 1.4/ 1.4.1 before it ships. If you purchase a MicroSD card at the same time, for another $1 (Premium Update) they will also setup AKAIO so it will work out of the box, they also include a selection of the best HomeBrew on the MicroSD card'><a href="http://shoptemp.com/products/Acekard-2i-Card-for-Nintendo-DS-DS-Lite-DSi-p-30.html?ref=2584" target="_blank">ShopTemp <img src="http://www.themolehole.eclipse.co.uk/ak2_guide/shoptemp.gif" border="0" class="linked-image" /></a></acronym> who will preupdate the Acekard so it's compatible with FW1.4 as part of their <a href="http://shoptemp.com/pages/ShopTemp-Premium-Flashing-%26-Update-Service.html?ref=2584" target="_blank">Premium Update + Flashing Service</a>.

    This step is optional and only needs to performed if you want to use your Acekard 2i with a DSi which has firmware version 1.4 or 1.4.1. Even if you intend to use your AK2i with a DS Lite, it is still a good idea to perform the firmware update incase your DS Lite breaks and you later replace it with a DSi or DSi XL.

    Many people refer to 'Acekard Official' and 'AKAIO' as firmware, this isn't correct and can cause mis-undertandings when it comes to updating the firmware. They are the Acekard's Operating System/ OSMenu/ Kernel and reside on the MicroSD card, it's similar to how Windows is stored on your computers HardDisk. The Acekard's firmware resides on the Acekard's internal 2MB flash memory and is completly seperate. The Acekard's firmware controls it's most basic functions and tells it what to do when it powers on, such as load AKAIO. When you update the Acekard's firmware, you are updating the Acekard's internal memory and this is independant of whatever version of Acekard Official/ AKAIO you have on your MicroSD card.

    After updating your Acekard's firmware, it will appear in the DSi menu as <acronym title='Alex Rider - Stormbreaker'><img src="http://www.themolehole.eclipse.co.uk/ak2_guide/alex.png" border="0" class="linked-image" /></acronym> Alex Rider - Stormrider. When used with on the DS Phat/ DS Lite, it will still appear as <acronym title='Acekard 2'><img src="http://www.themolehole.eclipse.co.uk/ak2_guide/ak2icon.gif" border="0" class="linked-image" /></acronym> in the DS menu. If you see the <acronym title='Danny Phantom'><img src="http://www.themolehole.eclipse.co.uk/ak2_guide/dannyphantom.gif" border="0" class="linked-image" /></acronym>Danny Phantom icon in your DSi's menu, you also need to perform the update if you want to use your Acekard 2i on a DSi or DSi XL with firmware 1.4.1

    Download the firmware update from <a href="http://www.mediafire.com/?i5iacikw9nbpei5" target="_blank"><!--coloro:Purple--><span style="color:Purple"><!--/coloro--><b>Here</b><!--colorc--></span><!--/colorc--></a><img src="http://www.themolehole.eclipse.co.uk/ak2_guide/mediafire.gif" border="0" class="linked-image" /> and extract the contents to the root directory of your MicroSD card. You should have two files <acronym title='NDS Program File'><img src="http://www.themolehole.eclipse.co.uk/ak2_guide/ndsfile.gif" border="0" class="linked-image" /></acronym><!--coloro:red--><span style="color:red"><!--/coloro-->ak2ifw_update_141_DS<b>i</b>.nds<!--colorc--></span><!--/colorc--> and <acronym title='NDS Program File'><img src="http://www.themolehole.eclipse.co.uk/ak2_guide/ndsfile.gif" border="0" class="linked-image" /></acronym><!--coloro:blue--><span style="color:blue"><!--/coloro-->ak2ifw_update_141_DS<b>L</b>.nds<!--colorc--></span><!--/colorc-->

    <acronym title='NDS Program File'><img src="http://www.themolehole.eclipse.co.uk/ak2_guide/ndsfile.gif" border="0" class="linked-image" /></acronym><!--coloro:red--><span style="color:red"><!--/coloro-->ak2ifw_update_141_DS<b>i</b>.nds<!--colorc--></span><!--/colorc--> is used to update a single cart, and can be used on the DS Lite, DS Phat and DSi FW =< 1.3. In most cases this is the file you should use because there's less chance of anything going wrong. If your DSi has firmware 1.4, you can also use this on your DSi to perform the Acekard's firmware update *provided* you see the <acronym title='Danny Phantom'></acronym>Danny Phantom icon <img src="http://www.themolehole.eclipse.co.uk/ak2_guide/dannyphantom.gif" border="0" class="linked-image" /> when you boot your DSi with your Acekard 2i inserted.

    <acronym title='NDS Program File'><img src="http://www.themolehole.eclipse.co.uk/ak2_guide/ndsfile.gif" border="0" class="linked-image" /></acronym><!--coloro:blue--><span style="color:blue"><!--/coloro-->ak2ifw_update_141_DS<b>L</b>.nds<!--colorc--></span><!--/colorc--> is used to update multiple carts and also unbrick an Acekard previously bricked by either update. It's primarly used by retailers or people who are going sell on their Acekard's. It allows you to update multiple Acekards in quick sucession without having to swap memory cards or reboot the NDS between flashings. This file only runs on the DS Lite or DS Phat because the DSi will not allow you to eject a cartridge beyond the DSi menu.

    <div align="center"><blockquote><p align=" " class="none"><img src="http://gbatemp.net/style_images/2/folder_post_icons/icon13.gif" border="0" class="linked-image" />Make sure your DS is fully charged or running from mains before attempting to update the firmware. Interrupting the process flashing may cause your AK2i to become bricked.

    <b>Once the progress indicator goes past 0%, do NOT interrupt the flashing process.</b></p></blockquote></div>
    <!--coloro:#FFFFFF--><span style="color:#FFFFFF"><!--/coloro--><!--colorc--></span><!--/colorc-->
    <u><b>Updating a Single cart:</b></u>

    Boot your Acekard and run <acronym title='NDS Program File'><img src="http://www.themolehole.eclipse.co.uk/ak2_guide/ndsfile.gif" border="0" class="linked-image" /></acronym><!--coloro:red--><span style="color:red"><!--/coloro-->ak2ifw_update_141_DS<b>i</b>.nds<!--colorc--></span><!--/colorc--><ul><li>Use <acronym title='NDS Program File'><img src="http://www.themolehole.eclipse.co.uk/ak2_guide/ndsfile.gif" border="0" class="linked-image" /></acronym><!--coloro:red--><span style="color:red"><!--/coloro-->ak2ifw_update_141_DS<b>i</b>.nds<!--colorc--></span><!--/colorc--> even if you are performing the update using a DS Lite or DS Phat. The DSL/ DSP will run both updates, while the DSi will only run the DSi update.</li></ul>It will take you straight to the firmware update screen

    <img src="http://www.themolehole.eclipse.co.uk/ak2_guide/IMG_3122.JPG" border="0" class="linked-image" />

    Press (start), after the update is complete it will give you the following message:

    <img src="http://www.themolehole.eclipse.co.uk/ak2_guide/IMG_3121.JPG" border="0" class="linked-image" />

    The update is complete, you can now power off the console.

    <u><b>To update multiple carts or to unbrick a previously bricked cart.</b></u><!--coloro:#FFFFFF--><span style="color:#FFFFFF"><!--/coloro--><!--colorc--></span><!--/colorc--><!--coloro:#FFFFFF--><span style="color:#FFFFFF"><!--/coloro--><!--colorc--></span><!--/colorc-->

    Boot your Acekard and run <acronym title='NDS Program File'><img src="http://www.themolehole.eclipse.co.uk/ak2_guide/ndsfile.gif" border="0" class="linked-image" /></acronym><!--coloro:blue--><span style="color:blue"><!--/coloro-->ak2ifw_update_141_DS<b>L</b>.nds<!--colorc--></span><!--/colorc-->. This can also be run on any working cart, doesn't have to be an Acekard because it's not going to update the cart you launch it on. You are just using it to get the update into the DS's memory so you can eject the cart.

    After you've run it, you will get the following prompt:

    <img src="http://www.themolehole.eclipse.co.uk/ak2_guide/IMG_3124.JPG" border="0" class="linked-image" />

    Eject your cart and insert the cart you wish to update or unbrick. Press (B) and you get:

    <img src="http://www.themolehole.eclipse.co.uk/ak2_guide/IMG_3125.JPG" border="0" class="linked-image" />

    Press (start). Once the update is complete you will get the following message:

    <img src="http://www.themolehole.eclipse.co.uk/ak2_guide/IMG_3126.JPG" border="0" class="linked-image" />

    Important: If this was the only cart you wanted to update, power off now! <img src="http://gbatemp.net/style_images/2/folder_post_icons/icon13.gif" border="0" class="linked-image" /><b>Do NOT press (start)</b>.

    If you have another cart to flash, eject the cart and insert another. Press (start) and it will start flashing immediately, it will give no warnings, prompts or ask for confirmation. Repeat the process for as many carts as you have.

    If your cart is bricked, you may see a different Chip ID such as:

    <img src="http://pix.gbatemp.net/243748/IMG_3704.jpg" border="0" class="linked-image" />

    After sucessfully unbricking, it should change back to 0FC2.

    If you see the following message:

    <img src="http://pix.gbatemp.net/243748/IMG_3707.jpg" border="0" class="linked-image" />

    Your Acekard 2i is either a clone, or an Acekard 2.1 mis-labelled as an Acekard 2i (the retailers stick the Acekard sticker on the cartridges).<acronym title='<a href="Don't quote this post" title="Click to view full size" target="_blank"><img src="Don't quote this post" alt="User posted image" height="100" border="0" /></a>'></acronym>
     


  2. JabbaFlap

    Newcomer JabbaFlap Advanced Member

    Joined:
    Oct 2, 2007
    Messages:
    99
    Location:
    Deep Space
    Country:
    United States
    thanks for your excellent guide tk_saturn, much appreciated!
    waiting eagerly now for my DSi XL to pop through the letter box {woohoo!}
    do most games work ok on acekard 2i ?
     
  3. tk_saturn
    OP

    Member tk_saturn GBAtemp Psycho!

    Joined:
    Jan 26, 2010
    Messages:
    3,327
    Country:
    United Kingdom
    Considering the huge number of DS games, almost all work on the Acekard. If you find one that doesn't try a ROM from another region, or sumbit a bug report on the AKAIO forums and they'll fix it in the next release.
     
  4. nickh

    Newcomer nickh Advanced Member

    Joined:
    Oct 10, 2009
    Messages:
    52
    Location:
    Hampshire, England
    Country:
    United Kingdom
    FWIW, I followed the guide with the DSL file (don't ask why - the baby gave me a bad night). The update completed but when I tried starting Akaio 1.7 on my sons DSL it always got stick with a blue "LOADING" screen. I had to reload Akaio 1.7 for the card to boot up again.

    For a moment I thought I had a bricked card!
     
  5. bitonio6

    Member bitonio6 GBAtemp Advanced Maniac

    Joined:
    Sep 30, 2009
    Messages:
    1,801
    Country:
    Switzerland
    The original firmware cant flash every Ak2i produced,
    you need to use another and secret firmware to flash it

    And with these secret firmware, you can see, the R4i Ultra are made by acekard.com

    You look for these firmware?

    -> Here

    Other information:

    If the firmware dont start, you can take-off your acekard, you dont risk anything,
    the counter will start and when it is stop again, you can retry to flash it!
    (my advice is to clean the copper contact of you AK2i with alcohol before retry)

    i tried all the firmware inside the pack, and all can flash acekard 2i,
    it's depend of the hardware inside!

    [​IMG]
     
  6. tk_saturn
    OP

    Member tk_saturn GBAtemp Psycho!

    Joined:
    Jan 26, 2010
    Messages:
    3,327
    Country:
    United Kingdom
    The one i've linked to in my guides are already the updated firmware update (14-29) and has the same CRC32s as the News files you've linked to. This file will update all Acekard 2i's, while the previous update (14) had a 0% progress problem on some carts. We already know the R4i Ultra update worked on these carts which had the 0% progress problem, but it doesn't matter as the later (14-29) update does work on them.

    The R4i Ultra DSL update was a pain to find though, thanks for providing it.
     
  7. bitonio6

    Member bitonio6 GBAtemp Advanced Maniac

    Joined:
    Sep 30, 2009
    Messages:
    1,801
    Country:
    Switzerland
    Somebody from china give me these secret code, i give them on the akaio forum,
    and now i can see it on your "pack"...

    The World is very small sometime [​IMG]
     
  8. SuperTrever

    Member SuperTrever GBAtemp Regular

    Joined:
    Sep 20, 2010
    Messages:
    255
    Country:
    United States
    I love you
     
  9. domon_god1

    Newcomer domon_god1 Member

    Joined:
    May 13, 2007
    Messages:
    26
    Country:
    United States
    can acekard still access sd card slot on dsi after update? coz mine cant access sd card slot after update.
     
  10. kyste

    Newcomer kyste Member

    Joined:
    Mar 27, 2010
    Messages:
    38
    Country:
    France
    Erm... It never did.
     
  11. domon_god1

    Newcomer domon_god1 Member

    Joined:
    May 13, 2007
    Messages:
    26
    Country:
    United States
    but, before update, i still can copy/paste/delete/move file from sd card slot to acekard micro sd card, after the update sd card slot icon is missing, leaving only micro sd icon in acekard.
     
  12. j103

    Newcomer j103 Newbie

    Joined:
    Oct 1, 2007
    Messages:
    6
    Location:
    Cleveland, TN
    Country:
    United States
    Could I use a DSTwo to run the program and update an Ak2i?

    A friend of mine needs his updated, but I'm running 1.4.1 already, though my DSTwo runs fine under it.
     
  13. jurassicplayer

    Member jurassicplayer Completionist Themer

    Joined:
    Mar 7, 2009
    Messages:
    4,280
    Location:
    Pantsuland
    Country:
    United States
    Totally fine. As long as a flashcart can run the .nds, they can update an AK2i.
     
  14. tk_saturn
    OP

    Member tk_saturn GBAtemp Psycho!

    Joined:
    Jan 26, 2010
    Messages:
    3,327
    Country:
    United Kingdom
    No you can't. As in the guide if you run the update using the DSTWO, it will require to eject the cart which isn't possible on the DSi.

    If you have a DS Lite, then it would work. But then you could also just update using the Acekard itself, which is why i'm assuming you have a DSi.
     
  15. jurassicplayer

    Member jurassicplayer Completionist Themer

    Joined:
    Mar 7, 2009
    Messages:
    4,280
    Location:
    Pantsuland
    Country:
    United States
    Oh snap, I forgot about that...whoops xD. Well, as long as a flashcart can run the .nds, they can update an AK2i and provided there is a DSL or DSPhat since the DSi doesn't allow swapping between carts.

    -edit-
    lol I got ninja'd by an edit.
     
  16. drusillah

    Newcomer drusillah Newbie

    Joined:
    Oct 1, 2010
    Messages:
    7
    Country:
    Greece
    Hello,

    I am not sure if this is the proper place to ask, but I need help.

    I bought an Acekard 2i, but stupidly (I didn't know about this issue at the time) updated my DSi before even receiving the Acekard. So now I have 1.4.1 firmware. I downloaded the update, borrowed a DS Lite, but I get the screen "Before Update, Please eject your card......". I press B, nothing. I eject it and press B, nothing. When I insert it again, it starts from the beginning. [​IMG] [​IMG]

    Is there anything I can do? What is the problem? My card is genuine. I'm desperate, I've borrowed the DS Lite and have to give it back soon.

    Thank you very much !
     
  17. jak larnak

    Member jak larnak GBAtemp Regular

    Joined:
    Jul 21, 2009
    Messages:
    188
    Location:
    Not so far
    Country:
    France
    Just use the "DSi" labelled file even if you use a DS lite.
     
  18. six-five-two

    Member six-five-two GBAtemp Regular

    Joined:
    Feb 18, 2007
    Messages:
    134
    Country:
    Canada
    Is the 1.4.1 fix also backwards compatible for 1.4 DSis?

    I have a DSi running 1.3 at the moment, but I've been too lazy to install the 1.4 patch then update. Do I have to install both patches (1.4 + 1.4.1) in order to update to 1.4.1 or do I only need to install 1.4.1 patch?
     
  19. jak larnak

    Member jak larnak GBAtemp Regular

    Joined:
    Jul 21, 2009
    Messages:
    188
    Location:
    Not so far
    Country:
    France
    You only need to run the latest 1.4.1 patch.
     
  20. coxxy8

    Newcomer coxxy8 Member

    Joined:
    Sep 17, 2009
    Messages:
    23
    Country:
    United States
    I obviously have some sort of clone as mine comes up with that screen. I have always used these 2i's bought from papadsi. Why would they only now be an issue. Is there any way to update these at all to work with 1.4.1? Thank you.
     

Share This Page